## arkime 5.7.0

=== debian/changelog ===
arkime (5.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches
  * Update installation
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Jun 2025 17:03:34 +0200

arkime (5.6.4-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.4
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Apr 2025 14:34:00 +0200

arkime (5.6.3-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Apr 2025 16:14:15 +0200

arkime (5.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Apr 2025 16:47:29 +0200

arkime (5.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2025 18:19:21 +0100

arkime (5.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.0
  * Refresh patches
  * Use new variable ARKIME_BUILD_FULL_VERSION in debian/rules
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jan 2025 12:07:49 +0100

arkime (5.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.5.0
  * Refresh patches
  * Add a patch to fix the build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Nov 2024 14:52:35 +0100

arkime (5.4.0-0kali2) kali-dev; urgency=medium

  * Install systemd unit in /usr/lib instead of /lib

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Sep 2024 20:41:22 +0700

arkime (5.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 09:45:22 +0200

arkime (5.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 Jul 2024 19:05:33 +0200

arkime (5.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.0
  * Refresh patches
  * Update diebna/rules to use node >= 18

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 May 2024 17:54:31 +0200

arkime (5.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Apr 2024 17:32:35 +0200

arkime (5.0.1-0kali2) kali-dev; urgency=medium

  * Adapt arkime-parliament and autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Mar 2024 11:38:13 +0100

arkime (5.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.0.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Mar 2024 11:10:20 +0100

arkime (4.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.6.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Oct 2023 09:38:31 +0200

arkime (4.5.0-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Add xdg-utils to test dependencies.
  * Fix previous commit because it's Depends.

  [ Sophie Brun ]
  * New upstream version 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Sep 2023 11:43:17 +0200

arkime (4.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.4.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Aug 2023 11:23:09 +0200

arkime (4.3.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.2
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 13:50:25 +0200

arkime (4.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 May 2023 15:34:02 +0200

arkime (4.3.0-0kali1) kali-dev; urgency=medium

  * CI: disable reprotest
  * Fix logrotate if log dir does not exist
  * Fix lintian-overrides
  * Fix lintian-overrides
  * New upstream version 4.3.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 09:58:29 +0200

arkime (4.2.0-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Don't build on 32bit architectures.
  * Fix autopkgtest script path
  * Make autopkgtest script executable.
  * Fix autopkgtest script to call correct scripts.
  * Allow autopkgtest to output to stderr

  [ Sophie Brun ]
  * New upstream version 4.2.0
  * Refresh patches
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 16:17:30 +0200

arkime (4.0.3-0kali2) kali-dev; urgency=medium

  * Add logrotate for logs files

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Jan 2023 16:09:03 +0100

arkime (4.0.3-0kali1) kali-dev; urgency=medium

  * Initial release. (see 8073)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Jan 2023 17:06:19 +0100

## arkime 5.8.1

=== tests/Makefile ===
all:
clean:
install:

check:
	./tests.pl
	./tests.pl --viewer

## arkime 5.7.1

=== debian/changelog ===
arkime (5.7.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.7.1

 -- Sophie Brun <sophie@kali.org>  Fri, 08 Aug 2025 14:44:05 +0200

=== debian/control ===
Source: arkime
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 git,
 libmaxminddb-dev,
 libcurl4-openssl-dev,
 libyara-dev,
 libglib2.0-dev,
 libpcap-dev,
 libnghttp2-dev,
 liblua5.4-dev,
 libpcre3-dev,
 libzstd-dev,
 libyaml-dev,
 libdaq-dev,
 wget
Standards-Version: 4.7.0
Homepage: https://arkime.com/
Vcs-Browser: https://gitlab.com/kalilinux/packages/arkime
Vcs-Git: https://gitlab.com/kalilinux/packages/arkime.git

Package: arkime
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libjson-perl,
 ethtool,
 net-tools,
 ieee-data,
 libwireshark-data,
 openssl,
 python3
Recommends: default-jre-headless, geoipupdate
Suggests: suricata
Description: large-scale, open-source, indexed packet capture and search tool
 This package contains Arkime (formerly Moloch), a large-scale, open-source,
 indexed packet capture and search tool.
 .
 Arkime augments your current security infrastructure to store and index
 network traffic in standard PCAP format, providing fast, indexed access. An
 intuitive and simple web interface is provided for PCAP browsing, searching,
 and exporting. Arkime exposes APIs which allow for PCAP data and JSON
 formatted session data to be downloaded and consumed directly. Arkime stores
 and exports all packets in standard PCAP format, allowing you to also use your
 favorite PCAP ingesting tools, such as wireshark, during your analysis
 workflow.

## arkime 5.8.0

=== debian/changelog ===
arkime (5.8.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * Update my email
  * New upstream version 5.8.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 11:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
  ca-certificates,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export LUA_LIBS = -llua5.4
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.4/
export HOME=$(CURDIR)/debian/fakehomenpm
export PATH := $(CURDIR)/debian/node/bin:$(PATH)

include /usr/share/dpkg/pkg-info.mk
export ARKIME_BUILD_FULL_VERSION=$(DEB_VERSION_UPSTREAM)

NODE_VERSION=18.15.0
# it can be x64 arm64
ifeq ($(DEB_HOST_ARCH),amd64)
        ARCH=x64
else ifeq ($(DEB_HOST_ARCH),arm64)
        ARCH=arm64
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-lua=yes --prefix=$(CURDIR)/builddir

execute_after_dh_auto_build:
	cd capture/plugins/lua && make
	cd capture/plugins/daq && make
# We can't build the following plugins, build-deps are not available in
# Kali:
#	cd capture/plugins/pfring && make
#	cd capture/plugins/snf && make

override_dh_auto_test:

execute_before_dh_auto_install:
	wget https://nodejs.org/download/release/v$(NODE_VERSION)/node-v$(NODE_VERSION)-linux-$(ARCH).tar.gz -O $(CURDIR)/debian/node.tar.gz
	cd debian && tar -xzvf node.tar.gz
	mv debian/node-v$(NODE_VERSION)-linux-$(ARCH) debian/node

override_dh_install:
	dh_install -Xeslint -Xnpmignore -Xpycache -Xgitattributes -Xgitmodules
	rm -rf debian/arkime/build
	# move *.service to correct dir and rename them
	mkdir -p $(CURDIR)/debian/arkime/usr/lib/systemd/system
	for fileservice in $(CURDIR)/debian/arkime/usr/lib/arkime/etc/*.service; do \
		newname=$$(echo $$(basename $$fileservice) | cut -d. -f1,3); \
		mv $$fileservice $(CURDIR)/debian/arkime/usr/lib/systemd/system/$$newname; \
	done
	# move config files to /etc/arkime
	mkdir -p $(CURDIR)/debian/arkime/etc/arkime
	mv $(CURDIR)/debian/arkime/usr/lib/arkime/etc/* $(CURDIR)/debian/arkime/etc/arkime/
	rm -rf $(CURDIR)/debian/arkime/usr/lib/arkime/etc

	# embed correct version of node
	cp $(CURDIR)/debian/node/bin/node $(CURDIR)/debian/arkime/usr/lib/arkime/bin/node

ifeq ($(DEB_HOST_ARCH),amd64)
	rm -rf $(CURDIR)/debian/arkime/usr/lib/arkime/node_modules/@skhaz/zstd/prebuilds/linux-arm64*
else ifeq ($(DEB_HOST_ARCH),arm64)
	rm -rf $(CURDIR)/debian/arkime/usr/lib/arkime/node_modules/@skhaz/zstd/prebuilds/linux-x64*
endif

	# remove useless debian files in deps
	rm -rf $(CURDIR)/debian/arkime/usr/lib/arkime/node_modules/lz4/deps/lz4/contrib/debian

execute_after_dh_fixperms:
	chmod 644 $(CURDIR)/debian/arkime/etc/arkime/*.example
	chmod 644 $(CURDIR)/debian/arkime/etc/arkime/*.sample

override_dh_dwz:
	dh_dwz -Xdebian/arkime/usr/lib/arkime/node_modules

override_dh_strip:
	dh_strip -Xdebian/arkime/usr/lib/arkime/node_modules

override_dh_shlibdeps:
	dh_shlibdeps -Xdebian/arkime/usr/lib/arkime/node_modules

execute_after_dh_clean:
	rm -rf $(CURDIR)/debian/fakehomenpm
	rm -rf $(CURDIR)/debian/bin
	rm -rf $(CURDIR)/debian/node*

=== debian/tests/control ===
Test-Command: debian/tests/test-services.sh
Restrictions: needs-root, isolation-container, allow-stderr
Depends: @, xdg-utils

## arkime 5.8.1

=== debian/changelog ===
arkime (5.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 27 Oct 2025 16:51:17 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/arkime/arkime/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## arkime 5.8.2

=== debian/changelog ===
arkime (5.8.2-0parrot1) echo; urgency=medium

  * Import new Kali package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 20:21:29 +0100

arkime (5.8.2-0kali2) kali-dev; urgency=medium

  * Improve the fix of the build dir path

 -- Sophie Brun <sophie@kali.org>  Tue, 18 Nov 2025 09:35:14 +0100

arkime (5.8.2-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.2
  * Refresh patches
  * Fix the build dir path

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 17:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: arkime
 Section: utils
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends:
  debhelper-compat (= 13),
  ca-certificates,
@@ -21,8 +21,6 @@
  wget
 Standards-Version: 4.7.0
 Homepage: https://arkime.com/
-Vcs-Browser: https://gitlab.com/kalilinux/packages/arkime
-Vcs-Git: https://gitlab.com/kalilinux/packages/arkime.git
 
 Package: arkime
 Architecture: amd64 arm64

## arkime 5.8.3

=== debian/changelog ===
arkime (5.8.3-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.3
  * Update build-dep

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Dec 2025 13:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: arkime
 Section: utils
 Priority: optional
-Maintainer: Parrot Dev Team <team@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
  ca-certificates,
@@ -14,13 +14,15 @@
  libpcap-dev,
  libnghttp2-dev,
  liblua5.4-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libzstd-dev,
  libyaml-dev,
  libdaq-dev,
  wget
 Standards-Version: 4.7.0
 Homepage: https://arkime.com/
+Vcs-Browser: https://gitlab.com/kalilinux/packages/arkime
+Vcs-Git: https://gitlab.com/kalilinux/packages/arkime.git
 
 Package: arkime
 Architecture: amd64 arm64
